{ inputs, config, ... }:
{
  imports = [
    (inputs.import-tree ./services)
  ];
  nixpkgs.hostPlatform = {
    system = "x86_64-linux";
  };
  boot.loader.grub.devices = [ "/dev/disk/by-id/FIXME" ];
  fileSystems = {
    "/".device = "/dev/FIXME";
  };
  networking.fqdn = "b4l.co.th";
  system.stateVersion = "25.11";
  clan.core.sops.defaultGroups = [ "admins" ];

  security.acme.defaults.email = "admin@b4l.co.th";
  security.acme.acceptTerms = true;
  services.nginx.virtualHosts."${config.networking.fqdn}" = {
    enableACME = true;
  };

  clan.core.vars.generators.acme = {
    share = true;
    files.email.secret = false;

    prompts.email = {
      type = "line";
      description = "Email for ACME registeration";
    };

    script = ''
      cat $prompts/email > $out/email
    '';
  };
}
